<?php

namespace App\Services;

use App\Repositories\AreaRepository;

class AreaService
{
    protected AreaRepository $areaRepository;

    public function __construct() {
        $this->areaRepository = new AreaRepository();
    }

    public function getWithRelations($areaId)
    {
        return $this->areaRepository->getWithRelations($areaId);
    }

    public function getAreasWithRelations()
    {
        return $this->areaRepository->getAreasWithRelations();
    }
}